Subject: Re: bug#35739: Bad signature from GNU ELPA

From: Stefan Monnier <[email-masked]>
Date: Sat, 18 May 2019 18:36:50 -0400

> I don't know.  I don't yet have a handle on what happens here, and
> therefore I don't understand how replacing url-insert-buffer-contents
> with url-insert should fix that.  I'm probably missing something.

After playing some more with it, I found a few problems, tracked down
the origin of the decoding (which was introduced for the case where we
download the <pkg>-readme.txt description file) and installed a patch
into master which should fix this right.

Now the question is how to adapt the fix for emacs-26: the patch
I installed is too invasive for emacs-26, I think.

Maybe we can patch over the problem by using `last-coding-system` instead
of `utf-8`?

        Stefan